#
# spec file for package rtl_433
#
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 0.0.1+git.20170409

Name:           rtl_433
Version:        0.0.1+git.20170409
Release:        0
Summary:        Turns RTL2832 dongle into a 433.92MHz generic data receiver
License:        GPL-2.0
Group:          Productivity/Hamradio/Other
Url:            https://github.com/merbanan/rtl_433.git
Source:         %{name}-%{version}.tar.xz
Patch0:         rtl_433-disable-test.diff
BuildRequires:  cmake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(librtlsdr)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An application using librtlsdr to decode the temperature from
wireless temperature sensors (433.92MHz) 

%prep
%setup -q
%patch0 -p1

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%{_bindir}/rtl_433
%{_includedir}/rtl_433.h
%{_includedir}/rtl_433_devices.h

%changelog
